Customer Feedback
List customer feedback requests
Retrieve a paginated list of customer feedback requests for the authenticated vendor. Supports filtering by status.
GET
/
customer-feedback-system
List customer feedback requests
curl --request GET \
--url https://www.renovationfind.com/rest-api-v1/customer-feedback-system \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.renovationfind.com/rest-api-v1/customer-feedback-system"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.renovationfind.com/rest-api-v1/customer-feedback-system', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"content": [
{
"id": 123,
"customerName": "<string>",
"email": "<string>",
"phone": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"dateRequestSent": "2023-11-07T05:31:56Z",
"feedbackCompleted": true,
"flaggedFeedback": true,
"comments": "<string>",
"reviewCompleted": true,
"googleReviewCompleted": true,
"facebookReviewCompleted": true,
"bbbReviewCompleted": true,
"otherReviewCompleted": true,
"referralCompleted": true,
"referralByEmailTextCompleted": true,
"referralByFbCompleted": true,
"referralConversionCount": 123
}
],
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123,
"last": true
}
}{
"success": false,
"error": "Rate limit exceeded. Maximum 250 requests per 5 minutes. Please retry later."
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Query Parameters
Required range:
x >= 0Page size (max 100)
Required range:
1 <= x <= 100Available options:
ALL, FLAGGED, FULLY_COMPLETED, DELIVERY_SENT, DELIVERY_PENDING, DELIVERY_FAILED, FEEDBACK_COMPLETED, REVIEW_COMPLETED, REFERRAL_COMPLETED Previous
Create a customer feedback requestCreate a single customer feedback request.
Sends an email and/or SMS notification to the customer requesting feedback.
Next
⌘I
List customer feedback requests

